Create Upload Signature

Generate a signature for secure client-side uploads.

POST
/media/signature/create
Serverhttps://api.medialit.cloud
Authentication

Authentication

  • Bearer token (JWT)

  • Or API key in the x-medialit-apikey header

Responses

200
Signature generated successfully
  • signaturestring
    required

    HMAC signature for secure uploads

400
Bad Request
  • errorstring
    required
401
Unauthorized
  • errorstring
    required
403
Forbidden
No response body.
500
Internal Server Error
  • errorstring
    required